// Code generated by protoc-gen-go. DO NOT EDIT.
// source: types.proto

/*
Package types is a generated protocol buffer package.

It is generated from these files:
	types.proto

It has these top-level messages:
	SubscriptionSelector
	SubscriptionListResponse
	Subscription
	SubscribeRequest
	SubscribeReply
	UnsubscribeRequest
	UnsubscribeReply
	UnsubscribeSessionReply
	UnsubscribeSessionRequest
*/
package types

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import grpc_health_v1 "google.golang.org/grpc/health/grpc_health_v1"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type SubscriptionSelector struct {
	Tenant string `protobuf:"bytes,1,opt,name=tenant" json:"tenant,omitempty"`
	Topic  []byte `protobuf:"bytes,2,opt,name=topic,proto3" json:"topic,omitempty"`
}

func (m *SubscriptionSelector) Reset()                    { *m = SubscriptionSelector{} }
func (m *SubscriptionSelector) String() string            { return proto.CompactTextString(m) }
func (*SubscriptionSelector) ProtoMessage()               {}
func (*SubscriptionSelector) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *SubscriptionSelector) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *SubscriptionSelector) GetTopic() []byte {
	if m != nil {
		return m.Topic
	}
	return nil
}

type SubscriptionListResponse struct {
	Subscriptions []*Subscription `protobuf:"bytes,1,rep,name=Subscriptions" json:"Subscriptions,omitempty"`
}

func (m *SubscriptionListResponse) Reset()                    { *m = SubscriptionListResponse{} }
func (m *SubscriptionListResponse) String() string            { return proto.CompactTextString(m) }
func (*SubscriptionListResponse) ProtoMessage()               {}
func (*SubscriptionListResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *SubscriptionListResponse) GetSubscriptions() []*Subscription {
	if m != nil {
		return m.Subscriptions
	}
	return nil
}

type Subscription struct {
	Id      string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	Tenant  string `protobuf:"bytes,2,opt,name=tenant" json:"tenant,omitempty"`
	Session string `protobuf:"bytes,3,opt,name=session" json:"session,omitempty"`
	Qos     int32  `protobuf:"varint,4,opt,name=qos" json:"qos,omitempty"`
	Pattern []byte `protobuf:"bytes,5,opt,name=pattern,proto3" json:"pattern,omitempty"`
}

func (m *Subscription) Reset()                    { *m = Subscription{} }
func (m *Subscription) String() string            { return proto.CompactTextString(m) }
func (*Subscription) ProtoMessage()               {}
func (*Subscription) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *Subscription) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Subscription) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *Subscription) GetSession() string {
	if m != nil {
		return m.Session
	}
	return ""
}

func (m *Subscription) GetQos() int32 {
	if m != nil {
		return m.Qos
	}
	return 0
}

func (m *Subscription) GetPattern() []byte {
	if m != nil {
		return m.Pattern
	}
	return nil
}

type SubscribeRequest struct {
	Tenant  string `protobuf:"bytes,1,opt,name=tenant" json:"tenant,omitempty"`
	Session string `protobuf:"bytes,2,opt,name=session" json:"session,omitempty"`
	Qos     int32  `protobuf:"varint,3,opt,name=qos" json:"qos,omitempty"`
	Pattern []byte `protobuf:"bytes,4,opt,name=pattern,proto3" json:"pattern,omitempty"`
}

func (m *SubscribeRequest) Reset()                    { *m = SubscribeRequest{} }
func (m *SubscribeRequest) String() string            { return proto.CompactTextString(m) }
func (*SubscribeRequest) ProtoMessage()               {}
func (*SubscribeRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *SubscribeRequest) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *SubscribeRequest) GetSession() string {
	if m != nil {
		return m.Session
	}
	return ""
}

func (m *SubscribeRequest) GetQos() int32 {
	if m != nil {
		return m.Qos
	}
	return 0
}

func (m *SubscribeRequest) GetPattern() []byte {
	if m != nil {
		return m.Pattern
	}
	return nil
}

type SubscribeReply struct {
	Qos []int32 `protobuf:"varint,1,rep,packed,name=qos" json:"qos,omitempty"`
}

func (m *SubscribeReply) Reset()                    { *m = SubscribeReply{} }
func (m *SubscribeReply) String() string            { return proto.CompactTextString(m) }
func (*SubscribeReply) ProtoMessage()               {}
func (*SubscribeReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *SubscribeReply) GetQos() []int32 {
	if m != nil {
		return m.Qos
	}
	return nil
}

type UnsubscribeRequest struct {
	Tenant  string `protobuf:"bytes,1,opt,name=tenant" json:"tenant,omitempty"`
	Session string `protobuf:"bytes,2,opt,name=session" json:"session,omitempty"`
	Pattern []byte `protobuf:"bytes,3,opt,name=pattern,proto3" json:"pattern,omitempty"`
}

func (m *UnsubscribeRequest) Reset()                    { *m = UnsubscribeRequest{} }
func (m *UnsubscribeRequest) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeRequest) ProtoMessage()               {}
func (*UnsubscribeRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *UnsubscribeRequest) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func (m *UnsubscribeRequest) GetSession() string {
	if m != nil {
		return m.Session
	}
	return ""
}

func (m *UnsubscribeRequest) GetPattern() []byte {
	if m != nil {
		return m.Pattern
	}
	return nil
}

type UnsubscribeReply struct {
}

func (m *UnsubscribeReply) Reset()                    { *m = UnsubscribeReply{} }
func (m *UnsubscribeReply) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeReply) ProtoMessage()               {}
func (*UnsubscribeReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

type UnsubscribeSessionReply struct {
}

func (m *UnsubscribeSessionReply) Reset()                    { *m = UnsubscribeSessionReply{} }
func (m *UnsubscribeSessionReply) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeSessionReply) ProtoMessage()               {}
func (*UnsubscribeSessionReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

type UnsubscribeSessionRequest struct {
	Session string `protobuf:"bytes,1,opt,name=session" json:"session,omitempty"`
	Tenant  string `protobuf:"bytes,2,opt,name=tenant" json:"tenant,omitempty"`
}

func (m *UnsubscribeSessionRequest) Reset()                    { *m = UnsubscribeSessionRequest{} }
func (m *UnsubscribeSessionRequest) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeSessionRequest) ProtoMessage()               {}
func (*UnsubscribeSessionRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

func (m *UnsubscribeSessionRequest) GetSession() string {
	if m != nil {
		return m.Session
	}
	return ""
}

func (m *UnsubscribeSessionRequest) GetTenant() string {
	if m != nil {
		return m.Tenant
	}
	return ""
}

func init() {
	proto.RegisterType((*SubscriptionSelector)(nil), "SubscriptionSelector")
	proto.RegisterType((*SubscriptionListResponse)(nil), "SubscriptionListResponse")
	proto.RegisterType((*Subscription)(nil), "Subscription")
	proto.RegisterType((*SubscribeRequest)(nil), "SubscribeRequest")
	proto.RegisterType((*SubscribeReply)(nil), "SubscribeReply")
	proto.RegisterType((*UnsubscribeRequest)(nil), "UnsubscribeRequest")
	proto.RegisterType((*UnsubscribeReply)(nil), "UnsubscribeReply")
	proto.RegisterType((*UnsubscribeSessionReply)(nil), "UnsubscribeSessionReply")
	proto.RegisterType((*UnsubscribeSessionRequest)(nil), "UnsubscribeSessionRequest")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for RouterService service

type RouterServiceClient interface {
	List(ctx context.Context, in *SubscriptionSelector, opts ...grpc.CallOption) (*SubscriptionListResponse, error)
	Subscribe(ctx context.Context, in *SubscribeRequest, opts ...grpc.CallOption) (*SubscribeReply, error)
	Unsubscribe(ctx context.Context, in *UnsubscribeRequest, opts ...grpc.CallOption) (*UnsubscribeReply, error)
	Check(ctx context.Context, in *grpc_health_v1.HealthCheckRequest, opts ...grpc.CallOption) (*grpc_health_v1.HealthCheckResponse, error)
}

type routerServiceClient struct {
	cc *grpc.ClientConn
}

func NewRouterServiceClient(cc *grpc.ClientConn) RouterServiceClient {
	return &routerServiceClient{cc}
}

func (c *routerServiceClient) List(ctx context.Context, in *SubscriptionSelector, opts ...grpc.CallOption) (*SubscriptionListResponse, error) {
	out := new(SubscriptionListResponse)
	err := grpc.Invoke(ctx, "/RouterService/List", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *routerServiceClient) Subscribe(ctx context.Context, in *SubscribeRequest, opts ...grpc.CallOption) (*SubscribeReply, error) {
	out := new(SubscribeReply)
	err := grpc.Invoke(ctx, "/RouterService/Subscribe", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *routerServiceClient) Unsubscribe(ctx context.Context, in *UnsubscribeRequest, opts ...grpc.CallOption) (*UnsubscribeReply, error) {
	out := new(UnsubscribeReply)
	err := grpc.Invoke(ctx, "/RouterService/Unsubscribe", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *routerServiceClient) Check(ctx context.Context, in *grpc_health_v1.HealthCheckRequest, opts ...grpc.CallOption) (*grpc_health_v1.HealthCheckResponse, error) {
	out := new(grpc_health_v1.HealthCheckResponse)
	err := grpc.Invoke(ctx, "/RouterService/Check", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for RouterService service

type RouterServiceServer interface {
	List(context.Context, *SubscriptionSelector) (*SubscriptionListResponse, error)
	Subscribe(context.Context, *SubscribeRequest) (*SubscribeReply, error)
	Unsubscribe(context.Context, *UnsubscribeRequest) (*UnsubscribeReply, error)
	Check(context.Context, *grpc_health_v1.HealthCheckRequest) (*grpc_health_v1.HealthCheckResponse, error)
}

func RegisterRouterServiceServer(s *grpc.Server, srv RouterServiceServer) {
	s.RegisterService(&_RouterService_serviceDesc, srv)
}

func _RouterService_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubscriptionSelector)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RouterServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/RouterService/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RouterServiceServer).List(ctx, req.(*SubscriptionSelector))
	}
	return interceptor(ctx, in, info, handler)
}

func _RouterService_Subscribe_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubscribeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RouterServiceServer).Subscribe(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/RouterService/Subscribe",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RouterServiceServer).Subscribe(ctx, req.(*SubscribeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RouterService_Unsubscribe_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnsubscribeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RouterServiceServer).Unsubscribe(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/RouterService/Unsubscribe",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RouterServiceServer).Unsubscribe(ctx, req.(*UnsubscribeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _RouterService_Check_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(grpc_health_v1.HealthCheckRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RouterServiceServer).Check(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/RouterService/Check",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RouterServiceServer).Check(ctx, req.(*grpc_health_v1.HealthCheckRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _RouterService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "RouterService",
	HandlerType: (*RouterServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "List",
			Handler:    _RouterService_List_Handler,
		},
		{
			MethodName: "Subscribe",
			Handler:    _RouterService_Subscribe_Handler,
		},
		{
			MethodName: "Unsubscribe",
			Handler:    _RouterService_Unsubscribe_Handler,
		},
		{
			MethodName: "Check",
			Handler:    _RouterService_Check_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "types.proto",
}

func init() { proto.RegisterFile("types.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 418 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x53, 0x41, 0x6f, 0xd3, 0x30,
	0x14, 0x56, 0x92, 0x76, 0x68, 0xaf, 0xeb, 0xe8, 0xcc, 0x00, 0xb7, 0xa7, 0xca, 0x5c, 0x7a, 0x72,
	0xb5, 0x4d, 0x48, 0x70, 0x86, 0x03, 0x07, 0x10, 0x28, 0x11, 0xe7, 0x91, 0x66, 0x4f, 0xa9, 0x45,
	0x64, 0x7b, 0xb6, 0x5b, 0xa9, 0x12, 0x37, 0xfe, 0x38, 0x4a, 0x9c, 0x20, 0xa7, 0xa4, 0x5c, 0x76,
	0x7b, 0xef, 0x7d, 0x7e, 0xfe, 0x3e, 0x7f, 0x7e, 0x0f, 0x26, 0xee, 0xa0, 0xd1, 0x72, 0x6d, 0x94,
	0x53, 0x8b, 0xf7, 0xa5, 0x52, 0x65, 0x85, 0xbc, 0x54, 0x55, 0x2e, 0x4b, 0xae, 0x4c, 0xb9, 0x2e,
	0x8d, 0x2e, 0xd6, 0x5b, 0xcc, 0x2b, 0xb7, 0x6d, 0xe2, 0x7b, 0x1f, 0xdf, 0xef, 0x6f, 0xda, 0xaa,
	0x6f, 0x65, 0x1f, 0xe1, 0x3a, 0xdb, 0x6d, 0x6c, 0x61, 0x84, 0x76, 0x42, 0xc9, 0x0c, 0x2b, 0x2c,
	0x9c, 0x32, 0xe4, 0x15, 0x9c, 0x39, 0x94, 0xb9, 0x74, 0x34, 0x5a, 0x46, 0xab, 0xf3, 0xb4, 0xcd,
	0xc8, 0x35, 0x8c, 0x9d, 0xd2, 0xa2, 0xa0, 0xf1, 0x32, 0x5a, 0x5d, 0xa4, 0x3e, 0x61, 0x5f, 0x81,
	0x86, 0xb7, 0x7c, 0x16, 0xd6, 0xa5, 0x68, 0xb5, 0x92, 0x16, 0xc9, 0x1d, 0x4c, 0x43, 0xcc, 0xd2,
	0x68, 0x99, 0xac, 0x26, 0xb7, 0x53, 0x1e, 0x56, 0xd3, 0xfe, 0x19, 0xf6, 0x0b, 0x2e, 0xc2, 0x02,
	0xb9, 0x84, 0x58, 0x3c, 0xb4, 0x52, 0x62, 0xf1, 0x10, 0xc8, 0x8b, 0x7b, 0xf2, 0x28, 0x3c, 0xb3,
	0x68, 0xad, 0x50, 0x92, 0x26, 0x0d, 0xd0, 0xa5, 0x64, 0x06, 0xc9, 0xa3, 0xb2, 0x74, 0xb4, 0x8c,
	0x56, 0xe3, 0xb4, 0x0e, 0xeb, 0xb3, 0x3a, 0x77, 0x0e, 0x8d, 0xa4, 0xe3, 0xe6, 0x31, 0x5d, 0xca,
	0x34, 0xcc, 0x5a, 0xf6, 0x0d, 0xa6, 0xf8, 0xb8, 0x43, 0xeb, 0x4e, 0x1a, 0x12, 0x30, 0xc6, 0x83,
	0x8c, 0xc9, 0x20, 0xe3, 0xa8, 0xcf, 0xc8, 0xe0, 0x32, 0x60, 0xd4, 0xd5, 0xa1, 0xeb, 0xae, 0xcd,
	0xf2, 0xdd, 0xec, 0x07, 0x90, 0xef, 0xd2, 0x3e, 0x5d, 0x57, 0xa0, 0x22, 0xe9, 0xab, 0x20, 0x30,
	0xeb, 0x31, 0xe8, 0xea, 0xc0, 0xe6, 0xf0, 0x3a, 0xa8, 0x65, 0xfe, 0x0e, 0x0f, 0x7d, 0x81, 0xf9,
	0x10, 0xe4, 0x75, 0x05, 0xfc, 0x51, 0x9f, 0xff, 0xc4, 0xdf, 0xdd, 0xfe, 0x8e, 0x61, 0x9a, 0xaa,
	0x9d, 0x43, 0x93, 0xa1, 0xd9, 0x8b, 0x02, 0xc9, 0x3b, 0x18, 0xd5, 0xa3, 0x44, 0x5e, 0xf2, 0xa1,
	0x19, 0x5d, 0xcc, 0xf9, 0xc9, 0xa1, 0x5b, 0xc3, 0xf9, 0x5f, 0x3f, 0xc9, 0x15, 0x3f, 0xfe, 0xcd,
	0xc5, 0x73, 0x7e, 0x64, 0xf7, 0x5b, 0x98, 0x04, 0x6f, 0x21, 0x2f, 0xf8, 0xbf, 0x56, 0x2f, 0xae,
	0xf8, 0xb1, 0x3b, 0xe4, 0x1b, 0x8c, 0x3f, 0x6c, 0xb1, 0xf8, 0x49, 0x18, 0xaf, 0xb7, 0x8c, 0xb7,
	0xbb, 0xb5, 0xbf, 0xe1, 0x9f, 0x9a, 0xa8, 0x01, 0xbb, 0xfe, 0x37, 0xff, 0x3d, 0xe3, 0x95, 0x6f,
	0xce, 0x9a, 0xbd, 0xbc, 0xfb, 0x13, 0x00, 0x00, 0xff, 0xff, 0xb8, 0x70, 0x0c, 0x2b, 0xe1, 0x03,
	0x00, 0x00,
}
